Minimizer Class Reference

`#include <Minimizer.h>`

## Public Member Functions

| Minimizer (size_t varCount)
iterator | minimize (iterator begin, iterator end) const
pair< iterator, bool > | colonReminimize (iterator begin, iterator end, const Exponent *colon)
pair< iterator, bool > | colonReminimize (iterator begin, iterator end, size_t var, Exponent exponent)
bool | dominatesAny (iterator begin, iterator end, const Exponent *term)
bool | dividesAny (iterator begin, iterator end, const Exponent *term)
bool | isMinimallyGenerated (const_iterator begin, const_iterator end)

## Private Types

typedef vector< Exponent * >::iterator | iterator
typedef vector< Exponent * >::const_iterator | const_iterator

## Private Attributes

size_t | _varCount

## Detailed Description

Definition at line 22 of file Minimizer.h.

## Member Typedef Documentation

## const_iterator

typedef vector<Exponent*>::const_iterator Minimizer::const_iterator

private

Definition at line 25 of file Minimizer.h.

## iterator

typedef vector<Exponent*>::iterator Minimizer::iterator

private

Definition at line 24 of file Minimizer.h.

## Constructor & Destructor Documentation

## Minimizer()

Minimizer::Minimizer | ( | size_t | varCount | ) |

inline

Definition at line 28 of file Minimizer.h.

## Member Function Documentation

## colonReminimize() [1/2]

pair< Minimizer::iterator, bool > Minimizer::colonReminimize | ( | iterator | begin,
|  | iterator | end,
|  | const Exponent * | colon )

Definition at line 256 of file Minimizer.cpp.

## colonReminimize() [2/2]

pair< Minimizer::iterator, bool > Minimizer::colonReminimize | ( | iterator | begin,
|  | iterator | end,
|  | size_t | var,
|  | Exponent | exponent )

Definition at line 344 of file Minimizer.cpp.

## dividesAny()

bool Minimizer::dividesAny | ( | iterator | begin,
|  | iterator | end,
|  | const Exponent * | term )

Definition at line 336 of file Minimizer.cpp.

## dominatesAny()

bool Minimizer::dominatesAny | ( | iterator | begin,
|  | iterator | end,
|  | const Exponent * | term )

Definition at line 328 of file Minimizer.cpp.

## isMinimallyGenerated()

bool Minimizer::isMinimallyGenerated | ( | const_iterator | begin,
|  | const_iterator | end )

Definition at line 307 of file Minimizer.cpp.

## minimize()

Minimizer::iterator Minimizer::minimize | ( | iterator | begin,
|  | iterator | end ) const

Definition at line 239 of file Minimizer.cpp.

## Member Data Documentation

## _varCount

size_t Minimizer::_varCount

private

Definition at line 44 of file Minimizer.h.

The documentation for this class was generated from the following files:

- src/Minimizer.h
- src/Minimizer.cpp